<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m210915_064446_add_option_stripe_endpoint
 */
class m210915_064446_add_option_stripe_endpoint extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'option_stripe_endpoint_secret', Schema::TYPE_STRING);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'option_stripe_endpoint_secret');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m210915_064446_add_option_stripe_endpoint cannot be reverted.\n";

        return false;
    }
    */
}
